Subject: Re: Why text=binary mounts
From: [email-masked] (Fergus Henderson)

12 Jan 1998 01:20:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Tomas Fasth <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,
        "Gary R. Van Sickle" <[email-masked]>

On 09-Jan-1998, Tomas Fasth <[email-masked]> wrote:
> What's wrong with this solution: Do it the Unix way. A file is a file is
> a file. Textual end-of-line is not a business of the i/o subsystem. In
> Unix the character sequence for end-of-line ('\n' == 012 == 0x10 ==
> 0b00001100)
> is nothing more exciting than a mutual agreement between tools that want
> to share text information. How simple!

That solution would be fine, if you were designing a new OS.
But we're not!  We're trying to be compatible with an existing OS.

> Please, please, please. Do what you like, but do NOT try to break the
> Unix way of computing in the GnuWin32 distribution. If you do, then
> what's the point the whole project?

I don't think anyone has suggested that support for binary-mode mounts
should be abandoned.  I would like to see *both* text-mode and binary-mode
mounts supported.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".